crashpad::ThreadInfo Struct Reference

A collection of `ptrace`-able information about a thread. More...

`#include "util/linux/thread_info.h"`

## Public Attributes

ThreadContext | thread_context
| The general purpose registers for the thread.
FloatContext | float_context
| The floating point registers for the thread.
LinuxVMAddress | thread_specific_data_address
| The thread-local storage address for the thread.

## Detailed Description

A collection of `ptrace`-able information about a thread.

The documentation for this struct was generated from the following files:

- util/linux/thread_info.h
- util/linux/thread_info.cc